ObjectInputStream
Date: 2016-06-24

java.io

## Class ObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream

- All Implemented Interfaces:
    DataInput, ObjectInput, ObjectStreamConstants

      public class ObjectInputStream
      extends InputStream
      implements ObjectInput, ObjectStreamConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ObjectInputStream()`
    `` | `ObjectInputStream(InputStream var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `defaultReadObject()`
    `protected boolean` | `enableResolveObject(boolean var0)`
    `int` | `read()`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `protected ObjectStreamClass` | `readClassDescriptor()`
    `double` | `readDouble()`
    `ObjectInputStream.GetField` | `readFields()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] var0)`
    `void` | `readFully(byte[] var0, int var1, int var2)`
    `int` | `readInt()`
    `String` | `readLine()` Deprecated.
    `long` | `readLong()`
    `Object` | `readObject()`
    `protected Object` | `readObjectOverride()`
    `short` | `readShort()`
    `protected void` | `readStreamHeader()`
    `Object` | `readUnshared()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `void` | `registerValidation(ObjectInputValidation var0, int var1)`
    `protected Class` | `resolveClass(ObjectStreamClass var0)`
    `protected Object` | `resolveObject(Object var0)`
    `protected Class` | `resolveProxyClass(String[] var0)`
    `int` | `skipBytes(int var0)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `available, close, read, read, skip`

- - ### Constructor Detail

    - #### ObjectInputStream

          protected ObjectInputStream()
                               throws IOException

      Throws:
        `IOException`

    - #### ObjectInputStream

          public ObjectInputStream(InputStream var0)
                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### defaultReadObject

          public void defaultReadObject()
                                 throws IOException,
                                        ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### enableResolveObject

          protected boolean enableResolveObject(boolean var0)

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in interface `ObjectInput`
      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### readBoolean

          public boolean readBoolean()
                              throws IOException

      Specified by:
        `readBoolean` in interface `DataInput`
      Throws:
        `IOException`

    - #### readByte

          public byte readByte()
                        throws IOException

      Specified by:
        `readByte` in interface `DataInput`
      Throws:
        `IOException`

    - #### readChar

          public char readChar()
                        throws IOException

      Specified by:
        `readChar` in interface `DataInput`
      Throws:
        `IOException`

    - #### readClassDescriptor

          protected ObjectStreamClass readClassDescriptor()
                                                   throws IOException,
                                                          ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readDouble

          public double readDouble()
                            throws IOException

      Specified by:
        `readDouble` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFields

          public ObjectInputStream.GetField readFields()
                                                throws IOException,
                                                       ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readFloat

          public float readFloat()
                          throws IOException

      Specified by:
        `readFloat` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFully

          public void readFully(byte[] var0)
                         throws IOException

      Specified by:
        `readFully` in interface `DataInput`
      Throws:
        `IOException`

    - #### readFully

          public void readFully(byte[] var0,
                       int var1,
                       int var2)
                         throws IOException

      Specified by:
        `readFully` in interface `DataInput`
      Throws:
        `IOException`

    - #### readInt

          public int readInt()
                      throws IOException

      Specified by:
        `readInt` in interface `DataInput`
      Throws:
        `IOException`

    - #### readLine

          public String readLine()
                          throws IOException

      Deprecated.
      Specified by:
        `readLine` in interface `DataInput`
      Throws:
        `IOException`

    - #### readLong

          public long readLong()
                        throws IOException

      Specified by:
        `readLong` in interface `DataInput`
      Throws:
        `IOException`

    - #### readObject

          public final Object readObject()
                                  throws IOException,
                                         ClassNotFoundException

      Specified by:
        `readObject` in interface `ObjectInput`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectOverride

          protected Object readObjectOverride()
                                       throws IOException,
                                              ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readShort

          public short readShort()
                          throws IOException

      Specified by:
        `readShort` in interface `DataInput`
      Throws:
        `IOException`

    - #### readStreamHeader

          protected void readStreamHeader()
                                   throws IOException

      Throws:
        `IOException`

    - #### readUTF

          public String readUTF()
                         throws IOException

      Specified by:
        `readUTF` in interface `DataInput`
      Throws:
        `IOException`

    - #### readUnshared

          public Object readUnshared()
                              throws IOException,
                                     ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws IOException

      Specified by:
        `readUnsignedByte` in interface `DataInput`
      Throws:
        `IOException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws IOException

      Specified by:
        `readUnsignedShort` in interface `DataInput`
      Throws:
        `IOException`

    - #### registerValidation

          public void registerValidation(ObjectInputValidation var0,
                                int var1)
                                  throws InvalidObjectException,
                                         NotActiveException

      Throws:
        `InvalidObjectException`
        `NotActiveException`

    - #### resolveClass

          protected Class resolveClass(ObjectStreamClass var0)
                                throws IOException,
                                       ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### resolveObject

          protected Object resolveObject(Object var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### resolveProxyClass

          protected Class resolveProxyClass(String[] var0)
                                     throws IOException,
                                            ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### skipBytes

          public int skipBytes(int var0)
                        throws IOException

      Specified by:
        `skipBytes` in interface `DataInput`
      Throws:
        `IOException`